% The function for function 'noisest.m'. Here is image transformed to image
% type, which can be used in function 'noisest.m'.
function nest = noise_est(u)
u = u*255;
sz = size(u);
m = mod(sz(1),5);
n = mod(sz(2),5);
u = u(m+1:end,n+1:end);
nest = refinednoiseest(u);